Fix: sourced files w/o arg bashisms
[releng/builder.git] / jjb / autorelease / branch-cut.sh
index 02df34e2214174dad41b8811c561c7a0fed7acfc..6d458b509dd6b5b8ac591f17575caf76d58c8bfa 100644 (file)
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/bin/bash -l
 # @License EPL-1.0 <http://spdx.org/licenses/EPL-1.0>
 ##############################################################################
 # Copyright (c) 2017 The Linux Foundation and others.
@@ -28,12 +28,23 @@ LOG_FILE="$WORKSPACE/archives/branch-cut.log"
 
 set -eu -o pipefail
 
+# shellcheck disable=SC1090
+. ~/lf-env.sh
+
+lf-activate-venv "git-review==1.28"
+
 # Validate inputs
 if [ -z "$RELEASE" ]; then
-    echo "ERROR: RELEASE variable most be set to a release name. Eg Carbon"
+    echo "ERROR: RELEASE variable must be set to a release name. Eg Carbon"
     exit 1
 fi
 
+# Setup Gerrit remote to ensure Change-Id gets set on commit.
+git config --global --add gitreview.username "jenkins-$SILO"
+git remote -v
+git submodule foreach git review -s
+git review -s
+
 # --- Start create new maintenance branch
 echo "---> Creating new mainenance branch"
 git submodule foreach git fetch origin
@@ -59,7 +70,7 @@ if [ "$DRY_RUN" = false ]
 then
     echo "Pushing stable/${RELEASE,,} branches to Gerrit"
     git submodule foreach git push gerrit "stable/${RELEASE,,}"
-    git push gerrit "stable/$RELEASE"
+    git push gerrit "stable/${RELEASE,,}"
 fi
 # --- End create new maintenance branch